import {
  __spreadValues
} from "./chunk-MIL7QFH3.js";

// src/client/assignDefaultLocaleOptions.ts
var DEFAULT_SEARCH_BOX_LOCALE_DATA = {
  placeholderText: "Search",
  notResultsForText: "Not found results for",
  countFoundResultsText: "Found results",
  seeAllResultsLinkText: "See all results",
  searchPageLinkText: "Results page"
};
var assignDefaultLocaleOptions = (localeOptions) => {
  if (!localeOptions.value.searchBox) {
    localeOptions.value.searchBox = {};
    Object.assign(localeOptions.value.searchBox, __spreadValues({}, DEFAULT_SEARCH_BOX_LOCALE_DATA));
  }
};

export {
  assignDefaultLocaleOptions
};
